%define majver %(echo %version | cut -d. -f1-2)
Name:          python-django
Version:       1.5.8
Release:       1mamba
Summary:       A high-level Python Web framework
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.djangoproject.com/
Source:        https://www.djangoproject.com/m/releases/%{majver}/Django-%{version}.tar.gz
# stub simplejson module that imports the system version
Source1:       simplejson-init.py
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: python-Sphinx
BuildRequires: python-Jinja2
Requires:      python >= %python_version
Requires:      python-simplejson
Provides:      python-Django
Obsoletes:     python-Django
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Django is a high-level Python Web framework that encourages rapid development and a clean, pragmatic design. It focuses on automating as much as possible and adhering to the DRY (Don't Repeat Yourself) principle.

%package doc
Group:         Documentation
Summary:       Documentation for %{name}

%description doc
Django is a high-level Python Web framework that encourages rapid development and a clean, pragmatic design. It focuses on automating as much as possible and adhering to the DRY (Don't Repeat Yourself) principle.
This package contains documentation for %{name} high-level Python Web framework.

%prep
%setup -q -n Django-%{version}
#cd django/utils/simplejson/
#rm -rf *
#cp -p %{SOURCE1} __init__.py

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch}

(
	cd docs
	make html
)

mkdir -p %{buildroot}%{_mandir}/man1/
cp -p docs/man/* %{buildroot}%{_mandir}/man1/

mv %{buildroot}%{_bindir}/django-admin.py %{buildroot}%{_bindir}/django-admin

find %{buildroot} -name "*.po" | xargs rm -f

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{python_sitearch}/Django-%{version}-py%{python_version}.egg-info
%{_bindir}/django-admin
%dir %{python_sitearch}/django
%{python_sitearch}/django/*.py*
%dir %{python_sitearch}/django/bin
%{python_sitearch}/django/bin/*.py*
%dir %{python_sitearch}/django/bin/profiling
%{python_sitearch}/django/bin/profiling/*.py*
%dir %{python_sitearch}/django/conf
%{python_sitearch}/django/conf/*.py*
%dir %{python_sitearch}/django/conf/project_template
%{python_sitearch}/django/conf/project_template/*.py*
%dir %{python_sitearch}/django/conf/project_template/project_name
%{python_sitearch}/django/conf/project_template/project_name/*.py*
%{python_sitearch}/django/conf/app_template
%{python_sitearch}/django/conf/locale
%{python_sitearch}/django/conf/urls
%{python_sitearch}/django/contrib
%{python_sitearch}/django/core
%{python_sitearch}/django/db
%{python_sitearch}/django/dispatch
%{python_sitearch}/django/forms
%{python_sitearch}/django/http
%{python_sitearch}/django/middleware
%{python_sitearch}/django/shortcuts
%{python_sitearch}/django/template
%{python_sitearch}/django/templatetags
%{python_sitearch}/django/test
%{python_sitearch}/django/utils
%{python_sitearch}/django/views
%{_mandir}/man1/daily_cleanup.1*
%{_mandir}/man1/django-admin.1*
%{_mandir}/man1/gather_profile_stats.1*
%doc AUTHORS LICENSE

%files doc
%defattr(-,root,root)
%doc docs/_build/html/*

%changelog
* Sat Aug 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.8-1mamba
- update to 1.5.8

* Sun Jan 31 2010 gil <puntogil@libero.it> 1.1.1-1mamba
- package created by autospec
